<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xhtml" encoding="EUC-JP" omit-xml-declaration="yes" indent="no" />
<xsl:template match="/entrylist">
<xsl:for-each select="entry">

<h2 id="title{@id}" class="entry"><xsl:value-of select="title" /></h2>
<p id="description{@id}" class="entry"><xsl:value-of select="description" disable-output-escaping="yes" /></p>
<div id="map{@id}" class="gmap"></div>
<a id="recoveryButton{@id}" class="recoveryButton" href="#">地図を戻す</a>
<script type="text/javascript">
	cmsdVars.mapdata['<xsl:value-of select="@id" />'] = { 'eid':'<xsl:value-of select="@id" />', 'lat':<xsl:value-of select="location/@lat" />, 'lng':<xsl:value-of select="location/@lng" />, 'zoom':<xsl:value-of select="location/@zoom" /> };
</script>

<hr />

</xsl:for-each>
</xsl:template>

</xsl:stylesheet>