<?php require_once( "cmsdesigner/include/view.php.inc" ); // encoding="euc-jp" ?>
<cmsd:output encoding="utf-8" meta-tag-replacement="True" xslt-libno="0" disable-xslt-encoding="False" />
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
	<meta http-equiv="content-type" content="text/html; charset=euc-jp"/>
	<title>CMS Designerץ: Google Mapsɽ</title>
	<style tyhpe="text/css">
	<!--
		form {
			padding : 0px;
			margin :0px;
		}
		
		body {
			margin :0px;
			padding :0px;
			
		}
		
		h1 {
			background-color : #334488;
			border-left : 0.5em solid #8899dd;
			padding : 0.3em;
			padding-left : 0.5em;
			font-weight : bold;
			font-family : 'Century Gothic';
			color : #ddeeff;
			margin : 0;
		}
		
		hr {
			border : 0px dashed #334488;
			margin-top : 1em;
			margin-bottom : 1em;
		}
		
		a.recoveryButton, p.entry, div.gmap {
			margin-left : 30px;
		}
		
		a.recoveryButton {
			font-size : 8pt;
		}
		
		h2.entry {
			margin-top : 30px;
			font-size : 12pt;
			padding-bottom : 0.2em;
			padding : 0.3em 1em 0.3em 0.5em;
			background-color : #dde0ff;
			margin-bottom : 0px;
		}
		
		p.entry {
			margin-top : 30px;
			font-size : 11pt;
			line-height : 140%;
		}
		
		#panelRoot {
			width : 600px;
			margin-left : 20px;
			margin-right : auto;
			padding-top : 20px;
		}
		
		#panelMap {
			border-left : 1px solid #eeeeee;
			border-top : 1px solid #ddddff;
			border-right : 1px solid #888888;
			border-bottom : 1px solid #888888;
			background-color : #dddddd;
			padding : 24px;
		}
		
		#map {
			width: 500px; height: 300px;
		}
		
		#msg {
			padding:0.2em;
			background-color:#f0f0ff;
			color=red;
		}
		
		#results {
			font-size : 8pt;
			color : #3355ff;
			background-color : #ddeeff;
			padding : 0.5em;
		}
		
		#panelButtons {
			text-align : center;
			padding-top : 10px;
		}
		
		#panelButtons input {
			font-weight : bold;
			margin-left : 10px;
			padding : 0.5em 2em 0.5em 2em;
			background-color : #aabbcc
		}
		
		.gmap {
			width : 500px; height : 300px;
		}
		div.marker_data_html {
			width: 280px;
			margin-top:8px;
		}
		div.marker_data_html h2 {
			font-size : 12pt;
			text-align:left;
			padding:4px;
			font-weight:bold;
			font-family:sans-serif;
			margin-bottom:4px;
		}
		div.marker_data_html p{
			width: 256px;
			height: 80px;
			overflow: auto;
			border-top: 1px dashed black;
			margin-top: 8px;
			padding:	4px;
			font-size : 10pt;
		}
		
	-->
	</style>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=3&sensor=false"></script>
	<script type="text/javascript">
	
	// CMSDΥǡǼѿ
	var cmsdVars = {};
	cmsdVars.mapdata = {};	// Ͽ޾
	cmsdVars.d = function(id){return cmsdVars.d[id]||(cmsdVars.d[id]=(document.getElementById(id)||id))};	// getElementByIdѥ桼ƥƥ
	
	function load() 
	{
		
		// ƥȥ꡼Ͽޤ
		for ( var index in cmsdVars.mapdata )
		{
			makeGMap( cmsdVars.mapdata[index] );
		}
	}
	
	// Ͽޤɽ
	function makeGMap( mapdata )
	{
		// ޡ֤LatLng
		var latlng = new google.maps.LatLng( mapdata.lat, mapdata.lng );
		
		// Map
		var myOptions = {
			zoom: mapdata.zoom,
			center: latlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			navigationControl : true,
			navigationControlOptions: { "style" : google.maps.NavigationControlStyle.SMALL },
			scaleControl : false,
			streeViewCtonrol: false
		}
		var map = new google.maps.Map( cmsdVars.d( "map" + mapdata.eid ), myOptions );
		
		// ޡȾ󥦥ɥ
		var title = cmsdVars.d( 'title' + mapdata.eid ).innerHTML;
		var body = cmsdVars.d( 'description' + mapdata.eid ).innerHTML;
		var marker = new google.maps.Marker( { position: latlng, map: map, title: title });
		var infowindow = new google.maps.InfoWindow({
			content: '<div class="marker_data_html"><h2>' + title + '</h2><p>' + body + '</p></div>'
		});
		
		// ޡåưʾ󥦥ɥ򳫤
		google.maps.event.addListener( marker, "click", function(){
			infowindow.open( map, marker );
		});
		
		// Ͽޤ᤹ץclickˡޡ᤹
		cmsdVars.d( "recoveryButton" + mapdata.eid ).onclick = function(){
			map.setCenter( latlng );
			map.setZoom( mapdata.zoom );
			return false;
		}
		
	}

	</script>
</head>
<body onload="load()" onunload="GUnload()">
<div id="panelRoot">

<h1>"maplog" design sample 1</h1>

<cmsd:entrylist name="gmap1" design="default" />

</div>
<a href="maplog_map.php">AllMap</a>
</body>
</html>
<?php cmsd_end_template(); ?>